<?php

declare(strict_types=1);

namespace Dedi\SyliusVoucherPlugin\EmailManager;

use Dedi\SyliusVoucherPlugin\Model\VoucherInterface;
use Sylius\Component\Core\Model\OrderInterface;

interface VoucherOrderEmailManagerInterface
{
    public const EMAIL_CONFIG_NAME = 'voucher_order';

    /**
     * @param VoucherInterface[] $vouchers
     */
    public function sendEmailWithVouchers(OrderInterface $order, array $vouchers): void;
}
