<?php

declare(strict_types=1);

namespace Dedi\SyliusVoucherPlugin\Operator;

use Sylius\Component\Core\Model\OrderInterface;

interface OrderVoucherOperatorInterface
{
    /**
     * Will create and persist all vouchers on the given order
     */
    public function create(OrderInterface $order): void;

    public function enable(OrderInterface $order): void;

    public function disable(OrderInterface $order): void;
}
